test-random.C File Reference

we test bounds for random Integers More...

`#include <iostream>`
`#include <givaro/givrandom.h>`
`#include <givaro/givinteger.h>`
`#include <givaro/modular.h>`
`#include <givaro/montgomery.h>`
`#include <givaro/modular-ruint.h>`
`#include <givaro/modular-balanced.h>`
Include dependency graph for test-random.C:

## Functions

int | test1 (size_t nbiters)
| tests `ret= .func(arg,arg);` ...
int | test2 (size_t nbiters)
| tests
int | test3 (size_t nbiters)
| tests
int | test4 (size_t nbiters)
| test possibly <0 random numbers
int | test5 (size_t nbiters)
| tests standard interface

## Detailed Description

we test bounds for random Integers

Test
  we test bounds for random Integers

## Function Documentation

## test2()

int test2 | ( | size_t | nbiters | ) |

tests

    ret= ::func(arg,arg);

## test3()

int test3 | ( | size_t | nbiters | ) |

tests

    ::func(ret,arg,arg);